# Uses of Class
org.apache.lucene.search.ConstantScoreScorerSupplier

Packages that use ConstantScoreScorerSupplier
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of ConstantScoreScorerSupplier in org.apache.lucene.search

  Methods in org.apache.lucene.search that return ConstantScoreScorerSupplier
  Modifier and Type
  Method
  Description
  `static ConstantScoreScorerSupplier`
  ConstantScoreScorerSupplier.`fromIterator(DocIdSetIterator iterator, float score, ScoreMode scoreMode, int maxDoc)`
  Create a `ConstantScoreScorerSupplier` for the given iterator.
  `static ConstantScoreScorerSupplier`
  ConstantScoreScorerSupplier.`matchAll(float score, ScoreMode scoreMode, int maxDoc)`
  Create a `ConstantScoreScorerSupplier` that matches all docs in [0, maxDoc).